variable "tag" {
  description = "Prometheus image tag"
  type        = string
  default     = "latest"
}

variable "retention_time" {
  description = "Prometheus data retention time"
  type        = string
  default     = "15d"
}

variable "rules" {
  description = "Prometheus alerting rules"
  type = list(object({
    alert       = string
    expr        = string
    for         = string
    labels      = map(string)
    annotations = map(string)
  }))
  default = []
}

variable "config" {
  description = "Custom Prometheus configuration in YAML format"
  type        = string
  default     = ""
}

variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}
